mbPws - Feature #50

gooooooooong
08/25/2022 08:35 PM - yanhua

Status: Closed Start date: 11/14/2022

Priority: Normal Due date:

Assignee: yanhua % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 32.00 hours

Description

Subtasks:

Feature # 181: coding Closed
Feature # 182: test Closed
History

#1 - 08/25/2022 08:50 PM - yanhua
000 BinCodeltems 000000000

public void LoadDefaultParameters() {

BinCodeltems.Clear();

index = 0;

BinCodeltems.Add(new DefectClassification { DefectCode = "Good", HotKeys = "Space", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Particle", HotKeys = "1", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "PI__Peeling", HotKeys = "2", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Foreign__Bump", HotKeys = "3", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Discolor__Bump", HotKeys = "4", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Missing__Bump", HotKeys = "5", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Chipping", HotKeys = "6", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Bump__Shifting", HotKeys = "7", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Large_Bump", HotKeys = "8", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Small__Bump", HotKeys = "9", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Deformed__Bump", HotKeys = "0", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Height_ Bump", HotKeys = "Q", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Low__Bump", HotKeys = "W", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Scratch”, HotKeys = "E", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Short", HotKeys = "R", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Flux__Residue", HotKeys = "T", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "UBM__Residue", HotKeys = "Y", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "RDL__ Defect", HotKeys = "U", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "Stannize__shenxi", HotKeys = "|", DefectColor = DieColors.DefectColors[index++] });
BinCodeltems.Add(new DefectClassification { DefectCode = "PI__Defect", HotKeys = "O", DefectColor = DieColors.DefectColors[index++] });
//BinCodeltems.Add(new DefectClassification { DefectCode = "Bad", HotKeys = "P", DefectColor = DieColors.DefectColors[index++] });

#2 - 11/14/2022 09:17 AM - yanhua
- Status changed from New to Resolved

- Assignee changed from hua to yanhua

#3 - 01/15/2023 11:13 AM - yanhua

- Status changed from Resolved to Closed
